nl.tudelft.simulation.dsol.tutorial.section25

## Class Order

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section25.Order

    public class Order
    extends Object

The Order class as presented in section 2.5 in the DSOL tutorial..

Copyright (c) 2002-2019 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

### Constructor Summary

Constructors
Constructor and Description
`Order(String product, double amount)` constructs a new Order.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Order

    public Order(String product,
                 double amount)

constructs a new Order.

Parameters:
  `product` - String; the product
  `amount` - double; the amount to buy

### Method Detail

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`